$(function() {
    var iconIn, iconOut;
    if ( window.params ) {
        iconIn = "fa fa-arrow-"+params.counter.mapping["in"];
        iconOut = "fa fa-arrow-"+params.counter.mapping.out;
    }

    if ( params.device.use_io ) {
        $("#left div:first-child").simpleIndicator({
        });
    }

    $("#today-table").todayTable({
        url: "counts.json",
        show: [{
            title: "In",
            key: "in",
            icon: iconIn,
            titleClass: "green100"

        }, {
            title: "Out",
            key: "out",
            icon: iconOut,
            titleClass: "teal100"
        }]
    });
    $("#live-table").liveTable({

    });
    var restrict = params.counter.zone_restrictions;
    $.fn.countingZone({
        canvas: "video_canvas",
        width: params.ui.stream_width,
        height: params.ui.stream_height,
        view_only: true,
        restriction: {
            left: restrict.horizontal_margin,
            right: 1 - restrict.horizontal_margin,
            top: restrict.vertical_margin,
            bottom: 1 - restrict.vertical_margin,
            max_height: restrict.max_height,
            min_height: restrict.min_height,
            min_width: restrict.min_width,
            max_width: restrict.max_width
        }
    });
    $("#left .centered").createVideo();
/*
    $("#left img").pollPlotter({
        url: "tracks_dewarped.json"
    });
*/
});
