#!/bin/sh
# This should only be used when stereo app is built using package target.
main=$(ls -1 app.py* | head -n 1)
SCALE=4
START="LD_LIBRARY_PATH=.:/ PYTHONPATH=python-site-packages ./pyrun ${main} --fps 1000 --scale ${SCALE}"

if [ -t 1 ]; then
    sh -c "$START"
else
    sh -c "$START" 2>&1 > /dev/null  | logger -s -p CRIT -t "`cat name`"
fi

rm /tmp/stereo.pid

